//=============================================================================

#include <iostream>
#include "apple.h"
#include "banana.h"
#include "basket.h"
#include "pear.h"
using namespace std;

//-----------------------------------------------------------------------------

int main()
{
   cout << "Aufg_17_01_Obstkorb\n\n";

   basket b("Geschenk");

   pear  fr1("Bauchiger Adler");
   apple fr2("Dickes Schwein");
   pear  fr3("Fetter Kohl");
   apple fr4("Gruener Baum");
   apple fr5("Saftiger Schmatz");
   banana fr6("Krummer Vogel");

   b.insert(fr1);
   b.insert(fr2);
   b.insert(fr3);
   b.insert(fr4);
   b.insert(fr5);
   b.insert(fr6);

   cout << b << '\n';
}
